Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLANTB

    java.lang.Object
      org.netlib.lapack.DLANTB

    public class DLANTB

extends java.lang.Object

    DLANTB is a simplified interface to the JLAPACK routine dlantb.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLANTB  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the element of  largest absolute value  of an
     *  n by n triangular band matrix A,  with ( k + 1 ) diagonals.
     *
     *  Description
     *  ===========
     *
     *  DLANTB returns the value
     *
     *     DLANTB = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in DLANTB as described
     *          above.
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the matrix A is upper or lower triangular.

     *          = 'U':  Upper triangular
     *          = 'L':  Lower triangular
     *
     *  DIAG    (input) CHARACTER*1
     *          Specifies whether or not the matrix A is unit triangular.
     *          = 'N':  Non-unit triangular
     *          = 'U':  Unit triangular
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.  When N = 0, DLANTB is
     *          set to zero.
     *
     *  K       (input) INTEGER
     *          The number of super-diagonals of the matrix A if UPLO = 'U',

     *          or the number of sub-diagonals of the matrix A if UPLO = 'L'.
     *          K >= 0.
     *
     *  AB      (input) DOUBLE PRECISION array, dimension (LDAB,N)
     *          The upper or lower triangular band matrix A, stored in the
     *          first k+1 rows of AB.  The j-th column of A is stored
     *          in the j-th column of the array AB as follows:
     *          if UPLO = 'U', AB(k+1+i-j,j) = A(i,j) for max(1,j-k)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)   = A(i,j) for j<=i<=min(n,j+k).
     *          Note that when DIAG = 'U', the elements of the array AB
     *          corresponding to the diagonal elements of the matrix A are
     *          not referenced, but are assumed to be one.
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= K+1.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
     *          where LWORK >= N when NORM = 'I'; otherwise, WORK is not
     *          referenced.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`DLANTB()`

Method Summary
`static double` | `DLANTB(java.lang.String norm, java.lang.String uplo, java.lang.String diag, int n, int k, double[][] ab, double[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLANTB

    public DLANTB()

Method Detail

### DLANTB

    public static double DLANTB(java.lang.String norm,
                                java.lang.String uplo,
                                java.lang.String diag,
                                int n,
                                int k,
                                double[][] ab,
                                double[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD